- Home
- API Enriched
- Virtual
- config
- DELETE DoS Auto-Mitigation Rule for HTTP Load Balancer.
DELETE DoS Auto-Mitigation Rule for HTTP Load Balancer.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/http_loadbalancers/example/dos_automitigation_rules/example';const options = {method: 'DELETE', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/http_loadbalancers/example/dos_automitigation_rules/example \ --header 'Authorization: <Authorization>'DELETE the corresponding DoS Auto-Mitigation Rule for the given HTTP load balancer.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace of the Load Balancer.
Name Name of the Load Balancer.
DoS Mitigation Rule Name Name of the DoS Mitigation Rule.
Responses
Section titled “Responses”A successful response.
Response of DELETE DoS Auto-Mitigation Rule API.
object
Name of the deleted DoS Auto-Mitigation loadbalancer Rule.
Examplegenerated
{ "name": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example